--
-- self
-- Class for all self
--
-- @author  Mario
-- @date  25/04/10
--
-- Copyright (C) Mario

bortsilo = {};

function bortsilo.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function bortsilo:load(xmlFile)

    self.bortsilos = {};
    self.bortsilos[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.bortsilos.bortsilo1#index"));
    self.bortsilos[2] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.bortsilos.bortsilo2#index"));
	
end;

function bortsilo:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_b then 
		self.drawbortsilo = not self.drawbortsilo;
		setVisibility(self.bortsilos[1], self.drawbortsilo);
    	setVisibility(self.bortsilos[2], self.drawbortsilo);
	end;

end;


function bortsilo:update(dt)
end;

function bortsilo:draw()
end;

function bortsilo:onEnter()

end;

function bortsilo:onLeave()
end;

function bortsilo:delete()
end;

function bortsilo:mouseEvent(posX, posY, isDown, isUp, button)
end;